%define rname	beagle
%define cid 	\{fda00e13-8c62-4f63-9d19-d168115b11ca\}
%define ciddir  %firefox_noarch_extensionsdir/%cid

Summary:	Beagle Indexer for Firefox
Name:		%firefox_name-%rname
Version:	1.1.0
Release:	alt1
Source0:	%rname-%version.xpi
License:	GPL
Group:		Networking/WWW	
URL:		http://beagle-project.org
Packager:       Alexey Shabalin <shaba@altlinux.ru>

BuildArch:      noarch
BuildRequires(pre):     rpm-build-firefox
BuildRequires:  unzip
Requires: %firefox_name >= 2.0
Requires: beagle

%description    
Beagle Extension: Index webpages you visit using the Beagle Indexing Engine.
An Extension for the Firefox Browser.

%prep
%setup -c

%install
%__mkdir_p %buildroot/%ciddir
%__cp -r * %buildroot/%ciddir

%postun
if [ "$1" = 0 ]; then
    [ ! -d "%ciddir" ] || rm -rf "%ciddir"
fi
    
%files
%ciddir

%changelog
* Thu May 15 2008 Alexey Shabalin <shaba@altlinux.ru> 1.1.0-alt1
- 1.1.0

* Tue Feb 05 2008 Alexey Shabalin <shaba@altlinux.ru> 1.0.2-alt2
- svn r4461 with fixed sidebar

* Mon Feb 04 2008 Alexey Shabalin <shaba@altlinux.ru> 1.0.2-alt1
- 1.0.2

* Fri Dec 07 2007 Alexey Shabalin <shaba@altlinux.ru> 1.0.1-alt1
- update version to 1.0.1 (for beagle-0.3.0)

* Thu Dec 14 2006 Alexey Shabalin <shaba@altlinux.ru> 0.6-alt1
- first build for ALT Linux.
